#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	MIME
%define		pnam	Types
Summary:	MIME::Types Perl module - definition of MIME types
Summary(pl.UTF-8):	Moduł Perla MIME::Types - definicje typów MIME
Name:		perl-MIME-Types
Version:	2.22
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	be84dd3231e94baf34ea7943c3f5cc25
URL:		http://search.cpan.org/dist/MIME-Types/
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.47}
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME types are used in MIME compliant lines, for instance as part of
e-mail and HTTP traffic, to indicate the type of content which is
transmitted. Sometimes real knowledge about a mime-type is need.

This module maintains a set of MIME::Type objects, which each describe
one known MIME type. There are many types defined by RFCs and vendors,
so the list is long but not complete.
 
%description -l pl.UTF-8
Typy MIME są używane w liniach nagłówka zgodnych z MIME, na przykład
jako część transmisji e-mail lub HTTP, do określenia rodzaju
przesyłanej treści. Czasem potrzebna jest znajomość prawdziwego
mime-type.

Ten moduł utrzymuje zbiór obiektów MIME::Type, z których każdy opisuje
jeden znany typ MIME. Zawiera wiele typów zdefiniowanych przez RFC i
producentów, więc lista jest długa, ale niepełna.

%package -n perl-MojoX-MIME-Types
Summary:	MojoX::MIME::Types - MIME Types for Mojolicious
Summary(pl.UTF-8):	MojoX::MIME::Types - typy MIME dla szkieletu Mojolicious
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description -n perl-MojoX-MIME-Types
This module is a drop-in replacement for Mojolicious::Types, but with
a more correct handling plus a complete list of types... a huge list
of types.

%description -n perl-MojoX-MIME-Types -l pl.UTF-8
Ten moduł to zamiennik Mojolicious::Types, ale z bardziej poprawną
obsługą oraz pełną listą typów... bardzo dużą listą typów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/MIME/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/MojoX/MIME/Types.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/MIME/Type.pm
%{perl_vendorlib}/MIME/Types.pm
%{perl_vendorlib}/MIME/types.db
%{_mandir}/man3/MIME::Type.3pm*
%{_mandir}/man3/MIME::Types.3pm*

%files -n perl-MojoX-MIME-Types
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/MojoX/MIME
%{perl_vendorlib}/MojoX/MIME/Types.pm
%{_mandir}/man3/MojoX::MIME::Types.3pm*
%changelog
* Tue Nov 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MIME-Types.git;a=log;h=master

* Tue Nov 01 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e91145
- Up to 2.22

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 64a5139
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d895cd2
- up to 2.17

* Fri Nov 10 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fbf359
- up to 2.14

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> e11f3e8
- up to 2.13

* Sat Mar 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 32c9add
- added perl-MojoX-MIME-Types package

* Sat Feb 28 2015 Jan Rękorajski <baggins@pld-linux.org> 5feab54
- disabled packaging Mojo::MIME replacement
- rel 2

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 335cc24
- up to 2.09

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 0a8bc8d
- updated perl BR

* Fri Oct 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cc0124b
- rel 2; add types.db database

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 02002d7
- up to 2.04

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 393a16c
- unified Source URL

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> f874b0c
- up to 1.34

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d3d92d
- up to 1.32

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 2dde8fc
- updated to 1.31

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> fa16d9c
- up to 1.28

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> 345cce5
- updated to 1.27

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3430e23
- up to 1.25

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 7591704
- up to 1.23

* Fri Jul 06 2007 czarny <czarny@pld-linux.org> 2c1979b
- up to 1.20

